Skip to content

Instantly share code, notes, and snippets.

Avatar
🕶️

Nathan L Smith smith

🕶️
View GitHub Profile
View keybase.md

Keybase proof

I hereby claim:

  • I am smith on github.
  • I am nlsmith (https://keybase.io/nlsmith) on keybase.
  • I have a public key whose fingerprint is 1D7D E99D 424F 651D 7C30 D888 ADE3 ABB3 5452 1F41

To claim this, I am signing this object:

View installed extensions
# List of installed extensions. These are not the friendly names on the marketplace, but you could figure it out,
# and I think you can run `code --install-extension Orta.vsocde-jest`
nsmith@nsmith ~/s/s/m/meatballs-ui> code --list-extensions (master=)
DSKWRK.vscode-generate-getter-setter
EditorConfig.EditorConfig
Orta.vscode-jest
Pendrica.Chef
PeterJausovec.vscode-docker
TeddyDD.fish
Tyriar.sort-lines
@smith
smith / AComponent.js
Last active Aug 31, 2017
Caching HOC?
View AComponent.js
import React, { Component } from 'react'
import cacheComponent from './cacheComponent'
class AComponent extends Component {
onClick = () => {
this.props.set({ clicked: true });
}
render() {
return <div>Have I been clicked? {this.props.cache.clicked ? "yes :)" : "no :("} <button onClick={this.onClick}>click me</button></div>;
@smith
smith / habitat-notes.md
Last active Aug 25, 2017
Habitat Notes
View habitat-notes.md

Habitat Notes

Things I'm learning while using Habitat, written down so I remember them.

Cache artifacts in a Mac studio

export HAB_DOCKER_OPTS="-v /Users/nathansmith/.hab/cache/artifacts /hab/studios/src/hab/cache/artifacts"

Find reverse dependencies for a package

View gist:293e61c1bf0d6403fc7b0f4c46566dbd
gcc: WARN
gcc: WARN The following runtime dependencies have more than one version
gcc: WARN release in the full dependency chain:
gcc: WARN
gcc: WARN * core/gmp ( core/gmp/6.1.2/20170526062114 core/gmp/6.1.0/20170513202112 )
gcc: WARN
gcc: WARN The current situation usually arises when a Plan has a direct
gcc: WARN dependency on one version of a package (`acme/A/7.0/20160101200001`)
gcc: WARN and has a direct dependency on another package which itself depends
gcc: WARN on another version of the same package (`acme/A/2.0/20151201060001`).
View gist:94f365a71c4be25f08d732efefc13258
: Loading /src/opam/plan.sh
opam: Plan loaded
opam: Validating plan metadata
opam: hab-plan-build setup
opam: Using HAB_BIN=/hab/pkgs/core/hab/0.24.1/20170522083228/bin/hab for installs, signing, and hashing
opam: Resolving build dependencies
opam: Resolving run dependencies
» Installing core/aspcud
opam: Resolved dependency 'core/aspcud' to /hab/pkgs/core/aspcud/1.9.1/20170609203426
» Installing core/camlp4
@smith
smith / GravatarComponent.ts
Last active May 9, 2017
Gravatar Component for Angular 2
View GravatarComponent.ts
import {Component} from "angular2/core";
const md5 = require("blueimp-md5");
@Component({
selector: "gravatar",
inputs: ["defaultStyle", "email", "size"],
template: `
<img class="my-gravatar"
width="{{size || DEFAULT_SIZE}}" height="{{size || DEFAULT_SIZE}}"
src='{{gravatarUrl(defaultStyle, email, size)}}'>`
View deps
frog-hornets-nest/automate/0.7.0-dev/20170221170131
frog-hornets-nest/automate-ctl/0.1.0/20170217222334
core/coreutils/8.25/20161208223423
core/glibc/2.22/20160612063629
core/linux-headers/4.3/20160612063537
core/acl/2.2.52/20161208223311
core/glibc/2.22/20160612063629
core/linux-headers/4.3/20160612063537
core/attr/2.4.47/20161208223238
core/glibc/2.22/20160612063629
@smith
smith / plan.sh
Created Feb 15, 2017
Lua 5.1 plan
View plan.sh
pkg_origin=core
pkg_name=lua
pkg_version=5.1.5
pkg_description="A powerful, efficient, lightweight, embeddable scripting language"
pkg_upstream_url="https://www.lua.org/"
pkg_license=("MIT")
pkg_maintainer="The Habitat Maintainers <humans@habitat.sh>"
pkg_source="https://www.lua.org/ftp/lua-${pkg_version}.tar.gz"
pkg_shasum=2640fc56a795f29d28ef15e13c34a47e223960b0240e8cb0a82d9b0738695333
pkg_deps=(core/glibc core/readline core/ncurses)